# $Revision: 1.14 $, $Date: 2011/11/07 20:53:05 $
%define		subver	20110223
%define		rel		2
Summary:	Create deltas between rpms
Summary(pl.UTF-8):	Generowanie różnic między pakietami rpm
Name:		deltarpm
Version:	3.6
Release:	0.%{subver}git.%{rel}
License:	BSD
Group:		Base
Source0:	http://pkgs.fedoraproject.org/repo/pkgs/deltarpm/%{name}-git-%{subver}.tar.bz2/70f8884be63614ca7c3fc888cf20ebc8/deltarpm-git-%{subver}.tar.bz2
# Source0-md5:	70f8884be63614ca7c3fc888cf20ebc8
Patch0:		%{name}-3.4-no-skip-doc.patch
Patch1:		%{name}-3.4-pld.patch
Patch2:		%{name}-rpmdumpheader.patch
URL:		http://www.novell.com/products/linuxpackages/opensuse/deltarpm.html
BuildRequires:	bzip2-devel
BuildRequires:	popt-devel
BuildRequires:	python-devel
BuildRequires:	rpm-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	xz-devel
BuildRequires:	zlib-static
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A deltarpm contains the difference between an old and a new version of
a rpm, which makes it possible to recreate the new rpm from the
deltarpm and the old one. You don't have to have a copy of the old
rpm, deltarpms can also work with installed rpms.

%description -l pl.UTF-8
Deltarpm zawiera różnice pomiędzy starą i nową wersją pakietu rpm,
pozwalając na stworzenie nowej wersji na podstawie delty i starej
wersji. Nie jest konieczne posiadanie kopii starego pakietu rpm,
deltarpm obsługuje także już zainstalowane pakiety.

%package -n drpmsync
Summary:	Sync a file tree with deltarpms
Group:		Base
Requires:	%{name} = %{version}-%{release}
Suggests:	deltaiso

%description -n drpmsync
This package contains a tool to sync a file tree with deltarpms.

%package -n deltaiso
Summary:	Create deltas between isos containing rpms
Group:		Base
Requires:	%{name} = %{version}-%{release}

%description -n deltaiso
This package contains tools for creating and using deltasisos, a
difference between an old and a new iso containing rpms.

%package -n python-deltarpm
Summary:	Python bindings for deltarpm
Group:		Base
# does not require base package

%description -n python-deltarpm
This package contains python bindings for deltarpm.

%prep
%setup -q -n %{name}-git-%{subver}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%{__sed} -i -e 's/python3//' Makefile

%build
%{__make} CC="%{__cc}" CFLAGS="%{rpmcflags} -I/usr/include/rpm" \
	bindir=%{_bindir} libdir=%{_libdir} mandir=%{_mandir} prefix=%{_prefix} \
	zlibbundled='' zlibldflags='-lz' zlibcppflags=''

%{__make} CC="%{__cc}" CFLAGS="%{rpmcflags}" \
	bindir=%{_bindir} libdir=%{_libdir} mandir=%{_mandir} prefix=%{_prefix} \
	zlibbundled='' zlibldflags='-lz' zlibcppflags='' \
	python

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE.BSD README
%attr(755,root,root) %{_bindir}/applydeltarpm
%attr(755,root,root) %{_bindir}/combinedeltarpm
%attr(755,root,root) %{_bindir}/makedeltarpm
%attr(755,root,root) %{_bindir}/rpmdumpheader
%{_mandir}/man8/applydeltarpm.8*
%{_mandir}/man8/combinedeltarpm.8*
%{_mandir}/man8/makedeltarpm.8*

%files -n deltaiso
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/applydeltaiso
%attr(755,root,root) %{_bindir}/fragiso
%attr(755,root,root) %{_bindir}/makedeltaiso
%{_mandir}/man8/applydeltaiso*
%{_mandir}/man8/makedeltaiso*

%files -n drpmsync
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/drpmsync
%{_mandir}/man8/drpmsync*

%files -n python-deltarpm
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/_deltarpmmodule.so
%{py_sitedir}/deltarpm.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: deltarpm.spec,v $
Revision 1.14  2011/11/07 20:53:05  glen
- drpmsync may use deltaiso

Revision 1.13  2011/11/07 20:51:02  glen
- python does not require base package

Revision 1.12  2011/11/07 20:43:47  glen
- up to 3.6 (git snapshot)
- added drpmsync, drpmsync, python-deltarpm packages

Revision 1.11  2010/12/12 08:30:40  arekm
- release 6

Revision 1.10  2010/12/12 01:00:00  arekm
- release 5

Revision 1.9  2010/12/11 23:06:06  arekm
- release 4

Revision 1.8  2010/06/23 21:01:24  arvenil
- patch for rpmdumpheader
- release 3

Revision 1.7  2010/06/23 03:50:41  cactus
- rel 2; sync patch0, updated patch1 - added our lzma support, more buffer mem for lzma, disable rsync detect

Revision 1.6  2009/10/26 00:02:18  cactus
- up to 3.5
- disabled rpmdumpheader bin - problems with rpm headers
- BR: zlib-static - dont build just use system one

Revision 1.5  2008/01/10 20:20:59  qboosh
- typos

Revision 1.4  2007-09-09 16:36:54  skibi
- Group => s/roto/root/

Revision 1.3  2007/09/09 15:35:57  adamg
- buildfix

Revision 1.2  2007/09/09 15:07:14  adamg
- pldized

Revision 1.1  2007/09/09 14:39:00  skibi
- Add deltarpm request by. PLD-DEVEL - Mateusz Murawski matowy@tlen.pl
